# Class DirectoryPieChartMaker.DirectorySizesChartMaker

java.lang.Object
net.sf.statcvs.charts.DirectoryPieChartMaker
net.sf.statcvs.charts.DirectoryPieChartMaker.DirectorySizesChartMaker

Enclosing class:
  `DirectoryPieChartMaker`

public static class DirectoryPieChartMaker.DirectorySizesChartMaker extends DirectoryPieChartMaker

Version:
  $Id: DirectoryPieChartMaker.java,v 1.14 2009/08/21 23:06:51 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Nested Class Summary

### Nested classes/interfaces inherited from class DirectoryPieChartMaker

`DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker`

## Constructor Summary

Constructors
Constructor
Description
`DirectorySizesChartMaker(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`calculateValue(Directory directory)`

### Methods inherited from class DirectoryPieChartMaker

`toFile`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectorySizesChartMaker

public DirectorySizesChartMaker(ReportConfig config)

## Method Details

### calculateValue

protected int calculateValue(Directory directory)

Specified by:
  `calculateValue` in class `DirectoryPieChartMaker`